<?php
namespace nur\sery\wip\schema\_assoc;

use nur\sery\wip\schema\Result;
use nur\sery\wip\schema\Value;

class AssocValue extends Value {
  function isAssoc(?AssocValue &$assoc=null): bool { $assoc = $this; return true; }

  function ensureKeys(): bool {
  }
  function orderKeys(): bool {
  }

  /** @param Result[] $results */
  function verifix(bool $throw=true, ?array &$results=null): bool {
  }
}
